DescribeSearch
Returns the current status and metadata of a single search, including the query that was submitted, the search type, and — when the search has failed — the reason. Use this to poll a search started with StartSearch until it reaches a terminal status (SUCCEEDED or FAILED).
Request Syntax
GET /workspaces/workspaceName/searches/searchId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- searchId
-
The identifier of the search to describe.
Length Constraints: Minimum length of 23. Maximum length of 36.
Pattern:
[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*Required: Yes
- workspaceName
-
The name of the workspace the search belongs to.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"groupId": "string",
"queryStatement": "string",
"searchId": "string",
"searchType": "string",
"startedAt": number,
"status": "string",
"statusReason": "string",
"workspaceName": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- groupId
-
The group identifier associated with the search, if one was supplied on the request.
Type: String
Length Constraints: Minimum length of 2. Maximum length of 36.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9-]* - queryStatement
-
The natural-language query that was submitted for the search.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 5000.
- searchId
-
The unique identifier of the search.
Type: String
Length Constraints: Minimum length of 23. Maximum length of 36.
Pattern:
[a-zA-Z0-9]+(-[a-zA-Z0-9]+)* - searchType
-
The search strategy used for the search.
Type: String
Valid Values:
DEEP | QUICK - startedAt
-
The time at which the search was started.
Type: Timestamp
- status
-
The current status of the search.
Type: String
Valid Values:
QUEUED | RUNNING | SUCCEEDED | FAILED - statusReason
-
A human-readable explanation of the current status. Populated when the search has
FAILED.Type: String
- workspaceName
-
The name of the workspace the search runs against.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access is denied.
HTTP Status Code: 403
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: